import os
import sqlite3
from flask import Flask, request, render_template

app = Flask(__name__)

ALLOWED_EXTENSIONS = set(['txt', 'pdf', 'png', 'jpg', 'jpeg', 'gif'])


@app.route("/login", methods=['GET', 'POST'])
def login():
    error = None
    if (request.method =='POST'):
        recordEmail = request.form.get('recordEmail')
        print(recordEmail)
        recordPassword = request.form.get('recordPassword')
        print(recordPassword)
        try:
                conn = sqlite3.connect("login.db")
                cur = conn.cursor()
                cur.execute("INSERT INTO login ('Email','Password') values (?,?)", (recordEmail, recordPassword))
                conn.commit()
                recordData = cur.fetchall()
                print(recordData)
                return recordData
        except Exception as e:
                recordData = e
                print(f"Error: {e}")
                conn.close()
        finally:
                conn.close()
                return render_template('landingpage.html')
 
def select():
    conn = sqlite3.connect("login.db")
    cur = conn.cursor()
    cur.execute("SELECT Email, Password FROM login")
    users = cur.fetchall()
    conn.close()
    return users

if __name__ == "__main__":
    app.run(debug=True)